Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

apt-listbugs

  • Objet : Pour éviter d'installer un paquet avec un bug grave, il est fortement conseillé d'installer apt-listbugs qui a l'amabilité de prévenir.
  • Niveau requis :
  • Commentaires : Logiciel de suivi des bogues. C'est pas mignon ça ? :-D
    • Création par smolski le 11-06-2010
    • Mise à jour par smolski le 06-02-2014
    • Testé par …… le …..
  • Commentaires sur le forum : Lien vers le forum concernant ce tuto1)

Introduction

Apt-listbugs fournit la liste des rapports de bogues critiques disponibles dans le système de suivi des bogues Debian.
Il est conseillé de l'exécuter avant l'utilisation d'un outil APT pour se rendre compte si une mise à jour ou une installation est connue pour être non sûre.

Installation

apt-get install apt-listbugs

Une fois installé, apt-listbugs est lancé automatiquement par apt-get et aptitude lors de l'installation/mise-à-jour de paquets. :-)

Apt-listbugs - Option list

Dans un terminal root, taper la commande et le nom du paquet à vérifier. Par exemple avec le paquet console-tools :

apt-listbugs list console-tools
retour de la commande
Lecture des champs des paquets... Fait
Lecture de l'état des paquets... Fait
Récupération des rapports de bogue... Fait
Analyse des informations Trouvé/Corrigé... Fait
Bogues de gravité grave sur console-tools (-> ) <marqué comme corrigé dans une version donnée>
 #563590 - console-tools: Fails to upgrade/install (Corrigé : console-tools/1:0.2.3dbs-68)
   Réuni avec : 563727 563960
Bogues de gravité serious sur console-tools (-> ) <non corrigé>
 #552011 - console-tools: Virtual consoles from tty2 onwards depend on utf-8
Résumé :
 console-tools(2 bugs)

Apt-listbugs - Installation d'un paquet

Lors de l'installation d'un paquet ou MAJ, il vérifie les bugs (déclarés) ! IN-DIS-PEN-SA-BLE !!!

Ainsi :

apt-get install console-tools
séquence interactive
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  libconsole
Paquets suggérés :
  kbd-compat
Les paquets suivants seront ENLEVÉS :
  kbd
Les NOUVEAUX paquets suivants seront installés :
  console-tools libconsole
0 mis à jour, 2 nouvellement installés, 1 à enlever et 21 non mis à jour.
Il est nécessaire de prendre 470ko dans les archives.
Après cette opération, 20,5ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
Réception de : 1 http://ftp.fr.debian.org unstable/main libconsole 1:0.2.3dbs-68 [155kB]
Réception de : 2 http://ftp.fr.debian.org unstable/main console-tools 1:0.2.3dbs-68 [315kB]
470ko réceptionnés en 26s (17,7ko/s)
Lecture des champs des paquets... Fait
Lecture de l'état des paquets... Fait
Récupération des rapports de bogue... Fait
Analyse des informations Trouvé/Corrigé... Fait
Bogues de gravité serious sur console-tools (-> 1:0.2.3dbs-68) <non corrigé>
 #552011 - console-tools: Virtual consoles from tty2 onwards depend on utf-8
Résumé :
 console-tools(1 bug)
Êtes-vous certain de vouloir installer/mettre à jour les paquets ci-dessus ? [Y/n/?/...]

En répondant :

 p

à la question :

 Êtes-vous certain de vouloir installer/mettre à jour les paquets ci-dessus ?

apt-listbugs ajoute ces paquets dans le fichier de préférences pour éviter la version buggée.

Lien vers le forum

1) N'hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !
doc/systeme/apt/apt-listbugs.txt · Dernière modification: 12/09/2016 13:11 par MicP

Pied de page des forums

Propulsé par FluxBB